﻿@model PROJETMODELE.Models.VML.TG.VariableVM
@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:int", "Date:Date:date:10%", "Numero_Assure:Numero Assuré:string:15%", "Numero_Beneficiaire:Numero Bénéficiaire:string:10%", "Nom_Prenom:Noms & Prenoms:string:28%", "User_Ctrl_Physique:Utilisateur:stringdrop:13%", "Centre_Ctrl_Physique:Centre Controle Physique:stringdrop:22%"];
</script>
<input id="consulterUrl" value="/Varibles/MAJVariables/" type="hidden" />
<input id="LoardUrl" value="/Variable/ajax" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous supprimer ces enrégistrement ?
        </div>
        <div>
            <br />
            <button title="OK" type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
            <button title="Annuler" type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div>
<div id="formulaire">
    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)
        <div id='NavigationBar'>
            <div>
                Donnée de la societé
            </div>
            <div>
                <table>
                    <tr>
                        <td>@Html.LabelFor(model => model.Nom_Societe)</td>
                        <td>@Html.EditorFor(model => model.Nom_Societe)</td>
                        <td>@Html.LabelFor(model => model.Numero_Contribuable)</td>
                        <td>@Html.EditorFor(model => model.Numero_Contribuable)</td>
                    </tr>
                    <tr>

                        <td>@Html.LabelFor(model => model.Telephone)</td>
                        <td>@Html.EditorFor(model => model.Telephone)</td>
                        <td>@Html.LabelFor(model => model.Ville)</td>
                        <td>@Html.EditorFor(model => model.Ville)</td>
                    </tr>
                    <tr>

                        <td>@Html.LabelFor(model => model.Adresse)</td>
                        <td>@Html.EditorFor(model => model.Adresse)</td>
                        <td>@Html.LabelFor(model => model.Description)</td>
                        <td>@Html.EditorFor(model => model.Description)</td>
                    </tr>
                    <tr>
                        <td>@Html.LabelFor(model => model.Dossier_Sauvegarde)</td>
                        <td>@Html.EditorFor(model => model.Dossier_Sauvegarde)</td>
                        @if (TempData["Password"].ToString() == "ok")
                        {
                            <td>@Html.LabelFor(model => model.Password_Sauvegarde)</td>
                            <td>@Html.CheckBoxFor(model => model.Edit_Password_Sauvegarde) @Html.EditorFor(model => model.Password_Sauvegarde)</td>
                        }
                        
                    </tr>
                    <tr>

                        <td>@Html.LabelFor(model => model.Appliquer_TVA)</td>
                        <td>@Html.CheckBoxFor(model => model.Appliquer_TVA)</td>
                        <td>@Html.LabelFor(model => model.TVA)</td>
                        <td>@Html.TextBoxFor(model => model.TVA)</td>
                    </tr>
                    <tr>
                        <td colspan="4" >@Html.CheckBoxFor(model => model.Verifier_Etat_Stock) @Html.LabelFor(model => model.Verifier_Etat_Stock)</td>
                        
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div style="text-align:center" id="imageUp">
                                <img style="height:100px" id="pictureI" alt="photo utilisateur" title="photo utilisateur" src="@TempData["URL_Picture"]" />
                            </div>
                        </td>
                        <td colspan="2">
                            <input id="fileUpload" type="file" />
                            <input id="btnUploadFile" type="button" value="Uploader" />
                            <div class="loadfile">
                                <img style="position:relative;top:10px;left:10px" src="~/Content/jqwidgets/styles/images/loader.gif" />
                            </div>
                        </td>
                    </tr>
                    <tr>
                       <td colspan="4" style="text-align:center"><input title="Rechercher" type="submit" id="BtnValider" class="btn btn-default oufbutton" value="Sauvegarder"></td> 
                    </tr>
                </table>
            </div>
        </div>
        
    }
</div>
<span style="font-weight:bold"></span>
<div class="boutons text-right"></div>
<div id="grades" style="display: none"></div>
<div id='Menu'>
    <ul>
        @if (true)
        {
            <li><i class="ouf-consult"></i> Consulter</li>
        }
    </ul>
</div>
<script>
    $('#formulaire').jqxValidator({
        rules: [
            { input: '#Nom_Societe', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Telephone', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Ville', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Adresse', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
        ],
    });
    $("#NavigationBar").jqxExpander({ width: '98%', expanded: true, theme: "ui-redmond" });
    $("#Nom_Societe").jqxInput({ placeHolder: "Nom Société ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#Numero_Contribuable").jqxInput({ placeHolder: "N° Contribuable ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#Telephone").jqxInput({ placeHolder: "Téléphone ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#Ville").jqxInput({ placeHolder: "Ville ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#Adresse").jqxInput({ placeHolder: "Adresse ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#Description").jqxInput({ placeHolder: "Description ... ", height: 25, width: 300, theme: "ui-redmond" });
    @if (TempData["Password"].ToString() == "ok")
    {
        WriteLiteral("$('#Password_Sauvegarde').jqxInput({ placeHolder: '********************', height: 25, width: 280, theme: 'ui-redmond' });");
    }
    
    $("#Dossier_Sauvegarde").jqxInput({ placeHolder: "Dossier Sauvegarde ... ", height: 25, width: 300, theme: "ui-redmond" });
    $("#TVA").jqxInput({ placeHolder: "TVA ... ", height: 25, width: 300, theme: "ui-redmond" });
    $('#BtnValider').on('click', function () {
        $('#formulaire').jqxValidator('validate')
    });
    $('#formulaire').on('validationSuccess', function (b) {
        $('form').on('submit', function () {
            $('form').off('submit');
            $("#loaderSpace,#loader").show();
            $('#formulaire').jqxValidator('hide');
            $.ajax({
                url: '/Variable/MAJVariables',
                type: 'GET',
                data: $(this).serialize(),
                dataType: 'json'
            }).success(function (a) {
                $("body").append(a);
                $("#loaderSpace,#loader").hide();
            }).error(function () {
                $("#loaderSpace,#loader").hide();
                alert('échec')
            });
            return false
        })
    });
    $('#formulaire').on('validationError', function (a) {
        $('form').on('submit', function () {
            return false;
        });
    });
    MAJVariable = function (urlMAJ) {
        $("#loaderSpace,#loader").show();
        $.ajax({
            data: $("form").serialize(),
            url: urlMAJ,
            type: 'GET',
            dataType: 'json'
        })
            .success(function (response) {
                $("#loaderSpace,#loader").hide();
            })
            .error(function () {
                alert('echeck');
                $("#loaderSpace,#loader").hide();
            });
    };

    $(".loadfile").hide();
    $('#btnUploadFile').on('click', function () {
        $(".loadfile").show();
        var data = new FormData();
        var files = $("#fileUpload").get(0).files;
        // Add the uploaded image content to the form data collection
        if (files.length > 0) {
            data.append("UploadedImage", files[0]);
        }
        // Make Ajax request with the contentType = false, and procesDate = false
        var ajaxRequest = $.ajax({
            type: "POST",
            url: "/Variable/UploadFile",
            contentType: false,
            processData: false,
            data: data
        });
        ajaxRequest.done(function (xhr, textStatus) {
            if (textStatus == "success") {
                var item = JSON.parse(xhr);
                if (item.success) {
                    $("#pictureI").attr("src", "/Content/pictures/" + item.file + '?' + Math.random());
                    $().toastmessage('showToast', { text: item.message, sticky: false, position: 'top-right', type: 'success', closeText: '', close: function () { } });
                } else {
                    $().toastmessage('showToast', { text: item.message, sticky: false, position: 'top-right', type: 'warning', closeText: '', close: function () { } });
                }
                $(".loadfile").hide();
            }
        });
    });
</script>
<style>
    #NavigationBar table {
        margin: auto;
        padding: 10px;
    }

    #NavigationBar{
        margin: auto;
    }

        #NavigationBar table td {
            padding: 5px;
        }

    #NavigationBar{
        margin-bottom: 15px;
    }
</style>

